%global debug_package %{nil}

Name:		fzf
Version:	0.16.8
Release:	1%{?dist}
Summary:	A command-line fuzzy finder written in Go

License:	MIT
URL:		https://github.com/junegunn/fzf
Source0:	https://github.com/junegunn/fzf/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	golang >= 1.7.5
BuildRequires:	git
BuildRequires:	glide

%description
fzf is a general-purpose command-line fuzzy finder.

%prep
%setup -q -n fzf-%{version}

%build
mkdir -p ./_build/src/github.com/junegunn/fzf
ln -s $(pwd)/src ./_build/src/github.com/junegunn/fzf/src
export GOPATH=$(pwd)/_build:%{gopath}

mkdir -p ./_build/src/github.com/junegunn/fzf/vendor
ln -s $(pwd)/glide.lock ./_build/src/github.com/junegunn/fzf/glide.lock
ln -s $(pwd)/glide.yaml ./_build/src/github.com/junegunn/fzf/glide.yaml
pushd ./_build/src/github.com/junegunn/fzf
glide install
popd

go build -o fzf .

%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 ./fzf %{buildroot}%{_bindir}/fzf
install -p -m 0755 ./bin/fzf-tmux %{buildroot}%{_bindir}/fzf-tmux

install -d %{buildroot}%{_mandir}/man1/
install -p -m 0644 ./man/man1/fzf.1 %{buildroot}%{_mandir}/man1/fzf.1
install -p -m 0644 ./man/man1/fzf-tmux.1 %{buildroot}%{_mandir}/man1/fzf-tmux.1

# completion and keybindings scripts; the former are nor "real" completion
# scripts but must be sourced manually. Same for the keybindings
install -d %{buildroot}%{_datadir}/%{name}
for x in bash zsh; do
    install -p -m 644 shell/completion.$x %{buildroot}%{_datadir}/%{name}/
done
for x in bash zsh fish; do
    install -p -m 0644 shell/key-bindings.$x %{buildroot}%{_datadir}/%{name}/
done


%files
%defattr(-,root,root,-)
%license LICENSE
%doc CHANGELOG.md BUILD.md README-VIM.md README.md
%{_bindir}/fzf
%{_bindir}/fzf-tmux
%{_mandir}/man1/fzf.1*
%{_mandir}/man1/fzf-tmux.1*
%{_datadir}/%{name}

%changelog
* Tue Jun  6 2017 Christian Kellner <ckellner@redhat.com>
- Initial package
